edu.northwestern.at.utils

## Class DirectoryTreeList

- java.lang.Object
- - edu.northwestern.at.utils.DirectoryTreeList

-     public class DirectoryTreeList
      extends java.lang.Object

  Walk directory tree to create list of files and directories.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryTreeList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<java.io.File>` | `getFileListing(java.io.File startingDir, boolean recurse)` Walk directory tree to get sorted of all files and directories.
    `static java.util.List<java.io.File>` | `getFileListingUnsorted(java.io.File startingDir, boolean recurse)` Walk directory tree to get unsorted list of all files and directories.
    `static java.util.List<FileInfo>` | `getFiles(java.io.File startingDir, boolean recurse)` Walk directory tree to get sorted list of FileInfo entries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryTreeList

          public DirectoryTreeList()

  - ### Method Detail

    - #### getFileListing

          public static java.util.List<java.io.File> getFileListing(java.io.File startingDir,
                                                    boolean recurse)
                                                             throws java.io.FileNotFoundException

      Walk directory tree to get sorted of all files and directories.
      Parameters:
        `startingDir` - Root directory to start walk.
      Returns:
        Files and directories sorted by name.
      Throws:
        `FileNotFounfException`
        `java.io.FileNotFoundException`

    - #### getFileListingUnsorted

          public static java.util.List<java.io.File> getFileListingUnsorted(java.io.File startingDir,
                                                            boolean recurse)
                                                                     throws java.io.FileNotFoundException

      Walk directory tree to get unsorted list of all files and directories.
      Parameters:
        `startingDir` - Root directory to start walk.
      Returns:
        Files and directories sorted by name.
      Throws:
        `FileNotFounfException`
        `java.io.FileNotFoundException`

    - #### getFiles

          public static java.util.List<FileInfo> getFiles(java.io.File startingDir,
                                          boolean recurse)

      Walk directory tree to get sorted list of FileInfo entries.